unit utest;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls,
  Soap.InvokeRegistry, System.Net.URLClient, Soap.Rio, Soap.SOAPHTTPClient,
  Soap.SOAPHTTPTrans, System.Net.HttpClient,
 CustomerWS, WSSE, Vcl.ComCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    HTTPRIO1: THTTPRIO;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    Memo1: TMemo;
    Memo2: TMemo;
    Memo3: TMemo;
    GroupBox1: TGroupBox;
    Memo4: TMemo;
    GroupBox2: TGroupBox;
    Memo5: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure HTTPRIO1BeforeExecute(const MethodName: string;
      SOAPRequest: TStream);
    procedure HTTPRIO1AfterExecute(const MethodName: string;
      SOAPResponse: TStream);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;


implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
  MusteriWS   : CustomerWS.ICustomerWS;
  MusteriTalep : CustomerWS.Customer;
  MusteriSonuc : CustomerWS.Customer;
  LNewCustNo    : Int64;
  LHeader       : Security;
  LHeaders      : ISOAPHeaders;
begin

  //try
    HTTPRIO1.HTTPWebNode.UserName := 'username';
    HTTPRIO1.HTTPWebNode.Password := 'password';

    MusteriWS := CustomerWS.GetICustomerWS( True, '', HTTPRIO1 );
    MusteriTalep     := CustomerWS.Customer.Create;

   { LHeader      := WSSE.Security.Create;
    LHeader.MustUnderstand  := True;

    LHeader.UsernameToken   := WSSE.UsernameToken.Create;
      LHeader.UsernameToken.Username        := HTTPRIO1.HTTPWebNode.UserName;
      LHeader.UsernameToken.Password        := WSSE.Password.Create;
      LHeader.UsernameToken.Password.Type_  := 'http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0#PasswordText';
      LHeader.UsernameToken.Password.Text   := HTTPRIO1.HTTPWebNode.Password;

      MusteriTalep.CitizenshipNumber:=1234567890;


    HTTPRIO1.SOAPHeaders.Send( LHeader ); }
    try
     LNewCustNO:=MusteriWS.CreateCustomer(MusteriTalep);
    finally

    end;



    ShowmessageFmt('%d', [ LNewCustNo ]);
  {except
    on E: Exception do
      Writeln(E.ClassName, ': ', E.Message);
  end;  }


end;

procedure TForm1.HTTPRIO1AfterExecute(const MethodName: string;
  SOAPResponse: TStream);
begin
SOAPResponse.Position := 0;
Memo4.Lines.LoadFromStream(SOAPResponse);
end;

procedure TForm1.HTTPRIO1BeforeExecute(const MethodName: string;
  SOAPRequest: TStream);
 var
 StrList1: TStringList;
begin
SOAPRequest.Position := 0;
Memo1.Lines.LoadFromStream(SOAPRequest);
 Memo2.Lines.SavetoStream(SOAPRequest);
 SOAPRequest.Position := 0;
 memo3.Lines.LoadFromStream(SOAPRequest);
end;

end.
